com.hazelcast.jet.core

## Class JetDataSerializerHook

- java.lang.Object
- - com.hazelcast.jet.core.JetDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      @PrivateApi
      public final class JetDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

  A Java Service Provider hook for Hazelcast's Identified Data Serializable mechanism. This is private API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPLY_FN_ENTRY_PROCESSOR` Serialization ID of the `UpdateMapP.ApplyFnEntryProcessor` class.
    `static int` | `DAG` Serialization ID of the `DAG` class.
    `static int` | `EDGE` Serialization ID of the `Edge` class.
    `static int` | `FACTORY_ID`
    `static int` | `VERTEX` Serialization ID of the `Vertex` class.

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DAG

          public static final int DAG

      Serialization ID of the `DAG` class.
      See Also:
        Constant Field Values

    - #### VERTEX

          public static final int VERTEX

      Serialization ID of the `Vertex` class.
      See Also:
        Constant Field Values

    - #### EDGE

          public static final int EDGE

      Serialization ID of the `Edge` class.
      See Also:
        Constant Field Values

    - #### APPLY_FN_ENTRY_PROCESSOR

          public static final int APPLY_FN_ENTRY_PROCESSOR

      Serialization ID of the `UpdateMapP.ApplyFnEntryProcessor` class.
      See Also:
        Constant Field Values

    - #### FACTORY_ID

          public static final int FACTORY_ID

  - ### Constructor Detail

    - #### JetDataSerializerHook

          public JetDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2020. All rights reserved.